org.springframework.core

## Class NamedInheritableThreadLocal<T>

- java.lang.Object
- - java.lang.ThreadLocal<T>
  - - java.lang.InheritableThreadLocal<T>
    - - org.springframework.core.NamedInheritableThreadLocal<T>

    public class NamedInheritableThreadLocal<T>
    extends InheritableThreadLocal<T>

`InheritableThreadLocal` subclass that exposes a specified name as `toString()` result (allowing for introspection).

Since:
  2.5.2
Author:
  Juergen Hoeller
See Also:
  `NamedThreadLocal`

### Constructor Summary

Constructors
Constructor and Description
`NamedInheritableThreadLocal(String name)` Create a new NamedInheritableThreadLocal with the given name.

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class java.lang.InheritableThreadLocal

`childValue`

### Methods inherited from class java.lang.ThreadLocal

`get, initialValue, remove, set`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NamedInheritableThreadLocal

    public NamedInheritableThreadLocal(String name)

Create a new NamedInheritableThreadLocal with the given name.

Parameters:
  `name` - a descriptive name for this ThreadLocal

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`